Bug 1568519 - [RFE] Make pod limit per namespace configurable
Summary: [RFE] Make pod limit per namespace configurable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Linux
medium
low
Target Milestone: ---
: 3.10.z
Assignee: Derek Carr
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 16:45 UTC by Chad Scribner
Modified: 2018-08-02 15:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 13:21:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chad Scribner 2018-04-17 16:45:17 UTC
1. Proposed title of this feature request
Make pod limit per namespace configurable

3. What is the nature and description of the request?
Customers need a way to increase the limit on the number of pods per namespace.

4. Why does the customer need this? (List the business requirements here)
This is applicable in big data processing, grid computing, etc.

5. How would the customer like to achieve this? (List the functional requirements here)
Add a configuration per namespace that can be set by an OpenShift admin to increase the number of allowed pods.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
- Start pods until the current limit is hit.
- Change the configuration for the test namepsace
- Start more pods until the new limit is hit.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
OCP 3.10

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
RFE

11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 2 Chad Scribner 2018-05-02 18:09:10 UTC
Any update on this?  I suspect that there are many large companies that would have a legitimate use case for this limit to be configurable.

Comment 6 Derek Carr 2018-06-19 17:53:00 UTC
I am not sure I fully understand the request.

It is possible today to quota 'pods' per namespace via ResourceQuota.

For the customer scenario, isn't this just a matter of having the following:

$ kubectl create quota foo --hard=pods=10 --namespace=x
$ kubectl create quota foo --hard=pods=20 --namespace=y

I suspect the customer is limiting per namespace pod usage today is via quota, but there is no need for the quota to be the same across each namespace.

Comment 7 Chad Scribner 2018-06-20 13:21:02 UTC
Closing this out.  Per discussion with engineering, the 15k pod per namespace limit outlined in the docs is a soft/recommended limit but is not enforced in the OCP code.


Note You need to log in before you can comment on or make changes to this bug.